Subject: Re: [gaia] draft-irtf-gaia-alternative-network-deployments. Mitar review, question #8: Mesh routing protocols

From: "Jose Saldana" <[email-masked]>
Date: Tue, 12 Apr 2016 16:50:10 +0200

Hi,

> Section 7.1.2.2, mesh routing protocols
> 
> "A large number of Alternative Networks use the Optimized Link State
Routing
> Protocol (OLSR) as defined in [RFC3626]."
> 
> Not really. Networks use OLSR as implemented by http://olsr.org/, which is
far from
> the standardized OLSR in RFC3626. For example, in practice, ETX metric is
used,
> which is not even mentioned in RFC3626.
> 
> Also Babel should definitely be mentioned, it is used in many networks,
and it is
> even (properly) standardized as RFC6126. So if you want to include a
routing
> protocol for alternative networks with IETF standard, you should include
this one for
> sure.

This is the current version of the text. Could you please give an improved
one? If you could give a reference to Babel (preferably a research paper) it
would be great!

7.1.2.2.  Mesh routing protocols

   A large number of Alternative Networks use the Optimized Link State
   Routing Protocol (OLSR) as defined in [RFC3626].  The pro-active link
   state routing protocol is a good match with Alternative Networks
   because it has good performance in mesh networks where nodes have
   multiple interfaces.

   The Better Approach To Mobile Adhoc Networking (BATMAN) [Abolhasan]
   protocol was developed by members of the Freifunk community.  The
   protocol handles all routing at layer 2, creating one bridged
   network.

   Parallel to BGP, some networks also run the BatMan-eXperimental
   (BMX6) protocol [Neumann_a].  This is an evolved version of the
   BATMAN protocol which is based on IPv6 and tries to exploit the
   social structure of Alternative Networks.  In [Neumann_b] a study of
   three proactive mesh routing protocols is presented, in terms of
   scalability, performance, and stability.

Thanks in advance,

Jose

---

From: Mitar <[email-masked]>
Date: Thu, 14 Apr 2016 02:19:02 -0700

Hi!

This is my take on improved routing protocols section:

A large number of Alternative Networks use a customized version of
the Optimized Link State Routing Protocol (OLSR)
developed by the olsrd open source project (http://olsr.org/).
The OLSR protocol defined in [RFC3626] has been extended with the
ETX metric (https://pdos.csail.mit.edu/~rtm/papers/etx.pdf) and other
features for use in Alternative Networks, especially wireless
ones. A new version OLSRv2 [RFC7188] has been starting
getting traction in some community networks
(https://dl.acm.org/citation.cfm?id=2852742).

B.A.T.M.A.N. Advanced (https://www.open-mesh.org/projects/batman-adv/wiki)
is a layer 2 routing protocol, which creates one bridged network and allows
seamless roaming of clients between wireless nodes.

Some networks also run the BMX6 protocol [Neumann_a].
The protocol is based on IPv6 and tries to exploit the
social structure of Alternative Networks.  In [Neumann_b] a study of
three proactive mesh routing protocols is presented, in terms of
scalability, performance, and stability.

Babel [RFC6126] is a layer 3 loop-avoiding distance-vector routing
protocol that is robust and efficient both in ordinary wired networks
and in wireless mesh networks.

Comparison of performance and stability of routing protocols is an
ongoing process and many routing protocols participate in regular
event to compare, test, and cross-pollinate implementations at
the yearly Battlemesh event (http://battlemesh.org/).

Mitar

-- 
http://mitar.tnode.com/
https://twitter.com/mitar_m

---

From: "Jose Saldana" <[email-masked]>
Date: Thu, 14 Apr 2016 16:38:55 +0200

> -----Mensaje original-----
> De: Mitar [mailto:[email-masked]]
> Enviado el: jueves, 14 de abril de 2016 11:19
> Para: Jose Saldana <[email-masked]>
> CC: gaia <[email-masked]>
> Asunto: Re: [gaia] draft-irtf-gaia-alternative-network-deployments. Mitar review,
> question #8: Mesh routing protocols
> 
> Hi!
> 
> A large number of Alternative Networks use a customized version of the Optimized
> Link State Routing Protocol (OLSR) developed by the olsrd open source project
> (http://olsr.org/).
> The OLSR protocol defined in [RFC3626] has been extended with the ETX metric
> (https://pdos.csail.mit.edu/~rtm/papers/etx.pdf) and other features for use in
> Alternative Networks, especially wireless ones. A new version OLSRv2 [RFC7188]
> has been starting getting traction in some community networks
> The protocol is based on IPv6 and tries to exploit the social structure of Alternative
> Networks.  In [Neumann_b] a study of three proactive mesh routing protocols is
> presented, in terms of scalability, performance, and stability.
> 
> Babel [RFC6126] is a layer 3 loop-avoiding distance-vector routing protocol that is
> robust and efficient both in ordinary wired networks and in wireless mesh networks.

Thanks a lot!

I have added your new references and rebuilt the text. I have put the reference to [Neuman_b] in the last paragraph, as it talks about Babel.

I have added a reference to a paper about BATMAN advanced. Its first reference points to http://www.open-mesh.org/:

D. Seither, A. König and M. Hollick, "Routing performance of Wireless Mesh Networks: A practical evaluation of BATMAN advanced," Local Computer Networks (LCN), 2011 IEEE 36th Conference on, Bonn, 2011, pp. 897-904.
doi: 10.1109/LCN.2011.6115569   

   A large number of Alternative Networks use customized versions of the
   Optimized Link State Routing Protocol (OLSR) [RFC3626].  The
   [olsr.org] open source project has extended the protocol with the
   Expected Transmission Count metric (ETX) [Couto] and other features,
   for its use in Alternative Networks, especially wireless ones.  A new
   version of the protocol, named OLSRv2 [RFC7188] is becoming used in
   some community networks [Barz].

   B.A.T.M.A.N.  Advanced [Seither] is a layer-2 routing protocol, which
   creates a bridged network and allows seamless roaming of clients
   between wireless nodes.

   Some networks also run the BMX6 protocol [Neumann_a], which is based
   on IPv6 and tries to exploit the social structure of Alternative
   Networks.

   Babel [RFC6126] is a layer-3 loop-avoiding distance-vector routing
   protocol that is robust and efficient both in wired and wireless mesh
   networks.

   In [Neumann_b] a study of three proactive mesh routing protocols
   (BMX6, OLSR, and Babel) is presented, in terms of scalability,
   performance, and stability.

   [Barz]     Barz, C., Fuchs, C., Kirchhoff, J., Niewiejska, J., and H.
              Rogge, "OLSRv2 for Community Networks", Comput. Netw. 93,
              P2 (December 2015),
              324-341 http://dx.doi.org/10.1016/j.comnet.2015.09.022,
              2015.

   [Couto]    De Couto, D., Aguayo, D., Bicket, J., and R. Morris, "A
              high-throughput path metric for multi-hop wireless
              routing", Wireless Networks, 11(4), 419-434 , 2005.

   [Neumann_a]
              Neumann, A., Lopez, E., and L. Navarro, "An evaluation of
              bmx6 for community wireless networks", In Wireless and
              Mobile Computing, Networking and Communications (WiMob),
              2012 IEEE 8th International Conference on (pp. 651-658).
              IEEE. , 2012.

   [Neumann_b]
              Neumann, A., Lopez, E., and L. Navarro, "Evaluation of
              mesh routing protocols for wireless community networks",
              Computer Networks, Volume 93, Part 2, 24 December 2015,
              Pages 308-323 ISSN 1389-1286,
              http://dx.doi.org/10.1016/j.comnet.2015.07.018, 2015.
   [Seither]  Seither, D., Koenig, A., and M. Hollick, "Routing
              performance of Wireless Mesh Networks: A practical
              evaluation of BATMAN advanced", Local Computer Networks
              (LCN), 2011 IEEE 36th Conference on, Bonn, 2011, pp.
              897-904. doi: 10.1109/LCN.2011.6115569, 2011.
> 
> Comparison of performance and stability of routing protocols is an ongoing process
> and many routing protocols participate in regular event to compare, test, and cross-
> pollinate implementations at the yearly Battlemesh event (http://battlemesh.org/).

I think this last paragraph does not fit into the document. This is an activity around routing protocols for CNs, which is IMHO out of scope of the document.

> Mitar

Thanks,

Jose

---

From: Mitar <[email-masked]>
Date: Thu, 14 Apr 2016 11:24:48 -0700

Hi!

This sounds good. :-)

If I remember correctly, in other parts of the document we mention
that people like to mix these, and also even use BGP and other more
standard things, yes? This is just a section with specific routing
protocols readers might not be familiar with?

Mitar